View Issue Details

IDProjectCategoryView StatusLast Update
14105Bug reports[All Projects] Central participant databasepublic2018-10-05 11:28
ReporterheiseAssigned Todominikvitt 
PrioritynoneSeveritycrash 
Status resolvedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary14105: Property "AdminController.uid" is not defined.
Description

(The product version is actually 3.14.11+180926.)

The administrator is able to click the Central participant database.
A user with full permissions to the CPD gets:

500: Interner Serverfehler
Property "AdminController.uid" is not defined.

Everything was OK with version 3.14.5+180815.

Have there been any changes in the CPD code?

Kind regards,
Aiko Barz

Steps To Reproduce

Login without Administrator privileges but with full permissions to the CPD.
-> Configuration
-> Central participant database
-> Error 500

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.11+180926
I will donate to the project if issue is resolvedNo
BrowserFirefox 62.0.2
Database & DB-Versionmariadb-server 10.1.26-0+deb9u1
Operating System (Server)Debian Stretch
Webserver software & versionapache2 2.4.25-3+deb9u5
PHP VersionPHP-7.0.30-0+deb9u1

Activities

DenisChenu

DenisChenu

2018-09-28 08:28

developer   ~49157

Last edited: 2018-09-28 08:29

View 2 revisions

Can you activate debug mode and send the html file here : https://manual.limesurvey.org/Debug_mode

heise

heise

2018-09-28 14:11

reporter  

CException.html (29,740 bytes)
guest

guest

2018-10-05 11:27

viewer   ~49248

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28235

Related Changesets

LimeSurvey: master bb814dd8

2018-10-05 11:27:39

Dominik Vitt

Details Diff
Fixed issue 14105: Unable to open Central participant database if logged in as survey administrator
mod - application/views/admin/participants/massive_actions/_update.php Diff File

Issue History

Date Modified Username Field Change
2018-09-27 13:59 heise New Issue
2018-09-28 08:28 DenisChenu Note Added: 49157
2018-09-28 08:29 DenisChenu Note Edited: 49157 View Revisions
2018-09-28 14:11 heise File Added: CException.html
2018-10-05 11:09 dominikvitt Assigned To => dominikvitt
2018-10-05 11:09 dominikvitt Status new => assigned
2018-10-05 11:09 dominikvitt Status assigned => confirmed
2018-10-05 11:27 Changeset attached => LimeSurvey master bb814dd8
2018-10-05 11:27 guest Note Added: 49248
2018-10-05 11:27 guest Resolution open => fixed
2018-10-05 11:28 dominikvitt Status confirmed => resolved
2018-10-05 11:28 dominikvitt Fixed in Version => 3.14.x